View Issue Details

IDProjectCategoryView StatusLast Update
0005758Talerbank API (C)public2019-12-20 19:11
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005758: test_bank_api_new does not test everything test_bank_api tests
DescriptionIn particular, the history-r{1,2,3} labels are missing, so the /history post reject is not tested by test_bank_api_new.

Once this is implemented, we should drop the "old" test_bank_api.c (and rename test_bank_api_new.c to test_bank_api.c).
TagsNo tags attached.

Activities

Christian Grothoff

2019-12-14 23:23

manager   ~0015163

Fixed in 05b338ce..1fc60380 and 2 commits leading up to it. In fact, the bank test had already been extended, these commits just remove the obsolete and now duplicated testing logic.

Issue History

Date Modified Username Field Change
2019-06-08 21:41 Christian Grothoff New Issue
2019-06-08 21:41 Christian Grothoff Status new => assigned
2019-06-08 21:41 Christian Grothoff Assigned To => Marcello Stanisci
2019-11-14 22:46 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2019-11-14 22:46 Christian Grothoff Target Version => 0.7.1
2019-12-14 23:23 Christian Grothoff Status assigned => resolved
2019-12-14 23:23 Christian Grothoff Resolution open => fixed
2019-12-14 23:23 Christian Grothoff Fixed in Version => 0.6
2019-12-14 23:23 Christian Grothoff Note Added: 0015163
2019-12-14 23:23 Christian Grothoff Target Version 0.7.1 => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed